Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::Settings Struct Reference

Network settings. More...

## Public Attributes
CommonSettings | common
| Common network settings.
map< string, InterfaceSettings > | ifMap
| Common interface settings.
map< string, EthSettings > | ethMap
| Ethernet specific interface settings.
map< string, WlanSettings > | wlanMap
| WLAN specific interface settings.

## Detailed Description

Network settings.

Definition at line 306 of file Net.idl.

## Member Data Documentation

## ◆ common

CommonSettings net::Settings::common

Common network settings.

Definition at line 307 of file Net.idl.

## ◆ ethMap

map<string, EthSettings> net::Settings::ethMap

Ethernet specific interface settings.

Definition at line 309 of file Net.idl.

## ◆ ifMap

map<string, InterfaceSettings> net::Settings::ifMap

Common interface settings.

Definition at line 308 of file Net.idl.

## ◆ wlanMap

map<string, WlanSettings> net::Settings::wlanMap

WLAN specific interface settings.

Definition at line 310 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl